error on conversion

Discussion of general topics related to the new version and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Forum rules
Discussion of general topics related to the new release and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Locked
smigle
Registered User
Posts: 9
Joined: Wed Mar 07, 2007 2:56 pm

error on conversion

Post by smigle »

Hello, thanks for phpbb3, good woork. ;)


I convert my database of phpbb2 on phpbb3

the second option of "Forum path" is Ok

but the first option of Prefix table no.


the error is:


The convertor was not able to find tables with the specified prefix. Please make sure you have the old within the same database as your phpBB 3.0.x installation. The default table prefix for phpBB 2.0.x is phpbb_


the prefix of my database is phpbb_


I don't understand because you don't work, the prefixes are those and my forum it is phpbb vanilla



I thank who my will help

hi

User avatar
Nicholas the Italian
Registered User
Posts: 659
Joined: Mon Nov 20, 2006 11:19 pm
Location: 46°8' N, 12°13' E
Contact:

Re: error on conversion

Post by Nicholas the Italian »

smigle wrote: The convertor was not able to find tables with the specified prefix. Please make sure you have the old within the same database as your phpBB 3.0.x installation.

Maybe that's the problem?

smigle
Registered User
Posts: 9
Joined: Wed Mar 07, 2007 2:56 pm

Re: error on conversion

Post by smigle »

in truth the error is this:


The table prefix needs to be the one used by the software you macaws converting from.
» Specified table prefix was phpbb_


when I go to convert the forum phpbb2 to phpbb3 for the forum path there is no problem

but when I go to confirm it tells me that my actual database has not established as phpbb_

I use vanilla instead, my forum has 8000 messages. I don't have etc mod, I have basic vanilla.

I don't succeed in understanding how come me from this error.

smigle
Registered User
Posts: 9
Joined: Wed Mar 07, 2007 2:56 pm

Re: error on conversion

Post by smigle »

you excuse the a little reliable English but me I don't speak the English, I am Italian

;)

User avatar
jojobarjo32
Registered User
Posts: 164
Joined: Wed Jun 22, 2005 7:38 pm
Location: France

Re: error on conversion

Post by jojobarjo32 »

What is the version of phpBB3 you are using ? Is it the beta 5 or a recent CVS snapshot ?
If it's the beta 5, try to get a CVS snapshot and try to convert again. Many bugs have been fixed since Beta 5 release ;)

smigle
Registered User
Posts: 9
Joined: Wed Mar 07, 2007 2:56 pm

Re: error on conversion

Post by smigle »

The version of Vanilla that I am using is the 2.0.22, the conversion I am effecting her/it using the packet of the Beta 5 that I have unloaded.

could you/he/she be that I don't effect some important operation?

I have not understood very well unfortunately as it is converted to the phpbb3

I have read all the guides of the update but I don't succeed there: (

however if I won't succeed in resolving I will wait for the exit of the rc1 or definitive version.

I thank you for the help.

User avatar
Handyman
Registered User
Posts: 522
Joined: Thu Feb 03, 2005 5:09 am
Location: Where no man has gone before!
Contact:

Re: error on conversion

Post by Handyman »

smigle wrote: The version of Vanilla that I am using is the 2.0.22, the conversion I am effecting her/it using the packet of the Beta 5 that I have unloaded.

could you/he/she be that I don't effect some important operation?

I have not understood very well unfortunately as it is converted to the phpbb3

I have read all the guides of the update but I don't succeed there: (

however if I won't succeed in resolving I will wait for the exit of the rc1 or definitive version.

I thank you for the help.

Beta 5 upgrade script has a lot of bugs, so if you want to try the updater early and see if it works, download the latest CVS and try it on your localhost.
Otherwise, it would be best to wait for the next release as it will have all the fixes.

If you decide to test the CVS upgrade script, make sure you don't run the upgraded phpBB3 board live.
My phpBB3 Mods || My Mod Queue
Search Engine Friendly (SEO) URLs || Profile link on Avatar and/or Username || AJAX Chat
Display Posts Anywhere || CashMod || AJAX Quick Edit || AJAX Quick Reply

Image

smigle
Registered User
Posts: 9
Joined: Wed Mar 07, 2007 2:56 pm

Re: error on conversion

Post by smigle »

Handyman wrote:
smigle wrote: The version of Vanilla that I am using is the 2.0.22, the conversion I am effecting her/it using the packet of the Beta 5 that I have unloaded.

could you/he/she be that I don't effect some important operation?

I have not understood very well unfortunately as it is converted to the phpbb3

I have read all the guides of the update but I don't succeed there: (

however if I won't succeed in resolving I will wait for the exit of the rc1 or definitive version.

I thank you for the help.

Beta 5 upgrade script has a lot of bugs, so if you want to try the updater early and see if it works, download the latest CVS and try it on your localhost.
Otherwise, it would be best to wait for the next release as it will have all the fixes.

If you decide to test the CVS upgrade script, make sure you don't run the upgraded phpBB3 board live.



do I have to install the cvs????

and subsequently to perform the convert?

User avatar
Handyman
Registered User
Posts: 522
Joined: Thu Feb 03, 2005 5:09 am
Location: Where no man has gone before!
Contact:

Re: error on conversion

Post by Handyman »

do I have to install the cvs????

and subsequently to perform the convert?

As mentioned, the converter packaged with the Beta 5 package has many bugs, so you would have to install the CVS to test the conversion script with your board.
Just make sure you don't run the CVS live… it's not guaranteed to be stable and could produce many headaches if you try to convert to RC1 from there… not to mention that you wouldn't be able to get support from phpbb.com.
So it's only if you want to test the conversion with your board.

If not, you may want to wait until RC1 is released before you give it a go.
My phpBB3 Mods || My Mod Queue
Search Engine Friendly (SEO) URLs || Profile link on Avatar and/or Username || AJAX Chat
Display Posts Anywhere || CashMod || AJAX Quick Edit || AJAX Quick Reply

Image

User avatar
SHS`
Registered User
Posts: 1628
Joined: Wed Jul 04, 2001 9:13 am
Location: The Boonies, Hong Kong
Contact:

Re: error on conversion

Post by SHS` »

smigle wrote: you excuse the a little reliable English but me I don't speak the English, I am Italian

;)


Ignorance of the law doesn't make you exempt from it. Read the rules.
Jonathan “SHS`” Stanley • 史德信
phpBB™ 3.1.x, Bug/Security trackers
phpBB™ Bertie Bear 3.0 — prosilver Edition!Asking Questions The Smart Way

Locked